io.etcd.jetcd.api

## Interface PutRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  PutRequest, PutRequest.Builder

    public interface PutRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getIgnoreLease()` If ignore_lease is set, etcd updates the key using its current lease.
`boolean` `getIgnoreValue()` If ignore_value is set, etcd updates the key using its current value.
`com.google.protobuf.ByteString` `getKey()` key is the key, in bytes, to put into the key-value store.
`long` `getLease()` lease is the lease ID to associate with the key in the key-value store.
`boolean` `getPrevKv()` If prev_kv is set, etcd gets the previous key-value pair before changing it.
`com.google.protobuf.ByteString` `getValue()` value is the value, in bytes, to associate with the key in the key-value store.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getKey

    com.google.protobuf.ByteString getKey()

     key is the key, in bytes, to put into the key-value store.

`bytes key = 1;`

Returns:
  The key.

#### getValue

    com.google.protobuf.ByteString getValue()

     value is the value, in bytes, to associate with the key in the key-value store.

`bytes value = 2;`

Returns:
  The value.

#### getLease

    long getLease()

     lease is the lease ID to associate with the key in the key-value store. A lease
     value of 0 indicates no lease.

`int64 lease = 3;`

Returns:
  The lease.

#### getPrevKv

    boolean getPrevKv()

     If prev_kv is set, etcd gets the previous key-value pair before changing it.
     The previous key-value pair will be returned in the put response.

`bool prev_kv = 4;`

Returns:
  The prevKv.

#### getIgnoreValue

    boolean getIgnoreValue()

     If ignore_value is set, etcd updates the key using its current value.
     Returns an error if the key does not exist.

`bool ignore_value = 5;`

Returns:
  The ignoreValue.

#### getIgnoreLease

    boolean getIgnoreLease()

     If ignore_lease is set, etcd updates the key using its current lease.
     Returns an error if the key does not exist.

`bool ignore_lease = 6;`

Returns:
  The ignoreLease.